clang 8.0.0

Classes | Namespaces | Functions
ModuleManager.cpp File Reference
`#include "clang/Serialization/ModuleManager.h"`
`#include "clang/Basic/FileManager.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Basic/MemoryBufferCache.h"`
`#include "clang/Lex/HeaderSearch.h"`
`#include "clang/Lex/ModuleMap.h"`
`#include "clang/Serialization/GlobalModuleIndex.h"`
`#include "clang/Serialization/Module.h"`
`#include "clang/Serialization/PCHContainerOperations.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/SetVector.h"`
`#include "llvm/ADT/SmallPtrSet.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/ADT/iterator.h"`
`#include "llvm/Support/Chrono.h"`
`#include "llvm/Support/DOTGraphTraits.h"`
`#include "llvm/Support/ErrorOr.h"`
`#include "llvm/Support/GraphWriter.h"`
`#include "llvm/Support/MemoryBuffer.h"`
`#include "llvm/Support/VirtualFileSystem.h"`
`#include <algorithm>`
`#include <cassert>`
`#include <memory>`
`#include <string>`
`#include <system_error>`
Include dependency graph for ModuleManager.cpp:

Go to the source code of this file.

## Classes
struct | llvm::GraphTraits< ModuleManager >
struct | llvm::DOTGraphTraits< ModuleManager >

## Namespaces
| llvm
| DominatorTree GraphTraits specialization so the DominatorTree can be iterable by generic graph iterators.

## Functions
static bool | checkSignature (ASTFileSignature Signature, ASTFileSignature ExpectedSignature, std::string &ErrorStr)
static void | updateModuleImports (ModuleFile &MF, ModuleFile *ImportedBy, SourceLocation ImportLoc)

## Function Documentation

## ◆ checkSignature()

static bool checkSignature | ( | ASTFileSignature | Signature,
|  | ASTFileSignature | ExpectedSignature,
|  | std::string & | ErrorStr
| ) |  |
| static

Definition at line 77 of file ModuleManager.cpp.

Referenced by clang::serialization::ModuleManager::addModule().

## ◆ updateModuleImports()

static void updateModuleImports | ( | ModuleFile & | MF,
|  | ModuleFile * | ImportedBy,
|  | SourceLocation | ImportLoc
| ) |  |
| static

Definition at line 88 of file ModuleManager.cpp.

References clang::serialization::ModuleFile::DirectlyImported, clang::serialization::ModuleFile::ImportedBy, clang::serialization::ModuleFile::ImportLoc, and clang::serialization::ModuleFile::Imports.

Referenced by clang::serialization::ModuleManager::addModule().